Bug 258855 - databases/rubygem-activerecord61: upgrade to 6.1.4.1 seems to have broken Gitlab
Summary: databases/rubygem-activerecord61: upgrade to 6.1.4.1 seems to have broken Gitlab
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Matthias Fechner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-02 06:13 UTC by Matthias Fechner
Modified: 2021-10-05 07:52 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2021-10-02 06:13:07 UTC
Dear Sunpoet,

it seems that this upgrade has broken the www/gitlab-ce port.

I get error message like:
ArgumentError (wrong number of arguments (given 0, expected 1)):
  /usr/local/www/gitlab-ce/config/initializers/postgresql_cte.rb:99:in `build_arel'
  /usr/local/lib/ruby/gems/2.7/gems/activerecord-6.1.4.1/lib/active_record/relation.rb:583:in `delete_all'
  /usr/local/www/gitlab-ce/app/models/ci/build.rb:301:in `block (2 levels) in <class:Build>'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/eval_helpers.rb:79:in `evaluate_method'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/callback.rb:192:in `block in run_methods'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/callback.rb:191:in `each'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/callback.rb:191:in `run_methods'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/callback.rb:159:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition.rb:394:in `block (2 levels) in after'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition.rb:394:in `each'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition.rb:394:in `block in after'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition.rb:392:in `catch'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition.rb:392:in `after'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition.rb:195:in `run_callbacks'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:127:in `run_callbacks'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:212:in `run_callbacks'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:63:in `block (2 levels) in perform'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:63:in `catch'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:63:in `block in perform'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:182:in `block in within_transaction'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition.rb:171:in `block in within_transaction'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/machine.rb:1868:in `block in within_transaction'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-activerecord-0.8.0/lib/state_machines/integrations/active_record.rb:557:in `block in transaction'
  /usr/local/lib/ruby/gems/2.7/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/database_statements.rb:320:in `block in transaction'
  /usr/local/lib/ruby/gems/2.7/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/transaction.rb:319:in `block in within_new_transaction'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/concurrency/load_interlock_aware_monitor.rb:26:in `block (2 levels) in synchronize'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
  /usr/local/lib/ruby/gems/2.7/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/transaction.rb:317:in `within_new_transaction'
  /usr/local/lib/ruby/gems/2.7/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/database_statements.rb:320:in `transaction'
  /usr/local/lib/ruby/gems/2.7/gems/activerecord-6.1.4.1/lib/active_record/transactions.rb:209:in `transaction'
  /usr/local/www/gitlab-ce/lib/gitlab/database.rb:260:in `block in transaction'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/notifications.rb:203:in `block in instrument'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/notifications/instrumenter.rb:24:in `instrument'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/notifications.rb:203:in `instrument'
  /usr/local/www/gitlab-ce/lib/gitlab/database.rb:259:in `transaction'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-activerecord-0.8.0/lib/state_machines/integrations/active_record.rb:556:in `transaction'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/machine.rb:1868:in `within_transaction'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition.rb:170:in `within_transaction'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:181:in `within_transaction'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:62:in `perform'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-activerecord-0.8.0/lib/state_machines/integrations/active_record.rb:530:in `around_save'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-activerecord-0.8.0/lib/state_machines/integrations/active_record.rb:511:in `save'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:154:in `block (2 levels) in run_actions'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:154:in `each'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:154:in `block in run_actions'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:170:in `catch_exceptions'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:148:in `run_actions'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition_collection.rb:60:in `perform'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/transition.rb:163:in `perform'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/event.rb:155:in `fire'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/event.rb:219:in `block in add_actions'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/machine.rb:729:in `block (2 levels) in define_helper'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/event.rb:224:in `block in add_actions'
  /usr/local/lib/ruby/gems/2.7/gems/state_machines-0.5.0/lib/state_machines/machine.rb:729:in `block (2 levels) in define_helper'
  /usr/local/www/gitlab-ce/app/services/ci/update_build_state_service.rb:102:in `update_build_state!'
  /usr/local/www/gitlab-ce/app/services/ci/update_build_state_service.rb:23:in `execute'
  /usr/local/www/gitlab-ce/lib/api/ci/runner.rb:186:in `block (2 levels) in <class:Runner>'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/endpoint.rb:59:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/endpoint.rb:59:in `block (2 levels) in generate_api_method'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/notifications.rb:205:in `instrument'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/endpoint.rb:58:in `block in generate_api_method'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/endpoint.rb:341:in `execute'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/endpoint.rb:267:in `block in run'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/notifications.rb:205:in `instrument'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/endpoint.rb:247:in `run'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/endpoint.rb:322:in `block in build_stack'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/base.rb:36:in `call!'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/base.rb:29:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/base.rb:36:in `call!'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/base.rb:29:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/base.rb:36:in `call!'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/base.rb:29:in `call'
  /usr/local/www/gitlab-ce/lib/api/api_guard.rb:213:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/base.rb:36:in `call!'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/base.rb:29:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-oauth2-1.16.0/lib/rack/oauth2/server/resource.rb:20:in `_call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-oauth2-1.16.0/lib/rack/oauth2/server/resource/bearer.rb:8:in `_call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-oauth2-1.16.0/lib/rack/oauth2/server/abstract/handler.rb:17:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/error.rb:39:in `block in call!'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/error.rb:38:in `catch'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/error.rb:38:in `call!'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/base.rb:29:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/grape_logging-1.8.4/lib/grape_logging/middleware/request_logger.rb:60:in `block in call!'
  /usr/local/lib/ruby/gems/2.7/gems/grape_logging-1.8.4/lib/grape_logging/middleware/request_logger.rb:58:in `catch'
  /usr/local/lib/ruby/gems/2.7/gems/grape_logging-1.8.4/lib/grape_logging/middleware/request_logger.rb:58:in `call!'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/middleware/base.rb:29:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/head.rb:12:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/endpoint.rb:231:in `call!'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/endpoint.rb:225:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/router/route.rb:58:in `exec'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/router.rb:116:in `process_route'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/router.rb:72:in `block in identity'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/router.rb:91:in `transaction'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/router.rb:70:in `identity'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/router.rb:55:in `block in call'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/router.rb:132:in `with_optimization'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/router.rb:54:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/api/instance.rb:167:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/api/instance.rb:71:in `call!'
  /usr/local/lib/ruby/gems/2.7/gems/grape-1.5.3/lib/grape/api/instance.rb:66:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/routing/mapper.rb:20:in `block in <class:Constraints>'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/routing/mapper.rb:49:in `serve'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/journey/router.rb:50:in `block in serve'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/journey/router.rb:32:in `each'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/journey/router.rb:32:in `serve'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/routing/route_set.rb:842:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/gitlab-experiment-0.6.4/lib/gitlab/experiment/middleware.rb:19:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/flipper-0.21.0/lib/flipper/middleware/memoizer.rb:77:in `memoized_call'
  /usr/local/lib/ruby/gems/2.7/gems/flipper-0.21.0/lib/flipper/middleware/memoizer.rb:42:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/speedscope.rb:13:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/request_profiler/middleware.rb:17:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/jira/middleware.rb:19:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/go.rb:20:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/etag_caching/middleware.rb:21:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/batch-loader-2.0.1/lib/batch_loader/middleware.rb:11:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-attack-6.3.1/lib/rack/attack.rb:97:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/apollo_upload_server-2.1.0/lib/apollo_upload_server/middleware.rb:19:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/multipart.rb:172:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-attack-6.3.1/lib/rack/attack.rb:111:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/warden-1.2.9/lib/warden/manager.rb:36:in `block in call'
  /usr/local/lib/ruby/gems/2.7/gems/warden-1.2.9/lib/warden/manager.rb:34:in `catch'
  /usr/local/lib/ruby/gems/2.7/gems/warden-1.2.9/lib/warden/manager.rb:34:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-cors-1.0.6/lib/rack/cors.rb:98:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/tempfile_reaper.rb:15:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/etag.rb:27:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/conditional_get.rb:40:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/head.rb:12:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/http/permissions_policy.rb:22:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/http/content_security_policy.rb:18:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/read_only/controller.rb:50:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/read_only.rb:18:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:266:in `context'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:260:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/middleware/cookies.rb:689:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/same_site_cookies.rb:27:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/middleware/callbacks.rb:27:in `block in call'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/callbacks.rb:98:in `run_callbacks'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/middleware/callbacks.rb:26:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/handle_malformed_strings.rb:21:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/middleware/actionable_exceptions.rb:18:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/middleware/debug_exceptions.rb:29:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/middleware/show_exceptions.rb:33:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/basic_health_check.rb:25:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/railties-6.1.4.1/lib/rails/rack/logger.rb:37:in `call_app'
  /usr/local/lib/ruby/gems/2.7/gems/railties-6.1.4.1/lib/rails/rack/logger.rb:26:in `block in call'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/tagged_logging.rb:99:in `block in tagged'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/tagged_logging.rb:37:in `tagged'
  /usr/local/lib/ruby/gems/2.7/gems/activesupport-6.1.4.1/lib/active_support/tagged_logging.rb:99:in `tagged'
  /usr/local/lib/ruby/gems/2.7/gems/railties-6.1.4.1/lib/rails/rack/logger.rb:26:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/middleware/remote_ip.rb:81:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/handle_ip_spoof_attack_error.rb:25:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/request_context.rb:21:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/request_store-1.5.0/lib/request_store/middleware.rb:19:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/method_override.rb:24:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/runtime.rb:22:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-timeout-0.5.1/lib/rack/timeout/core.rb:123:in `block in call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-timeout-0.5.1/lib/rack/timeout/support/timeout.rb:19:in `timeout'
  /usr/local/lib/ruby/gems/2.7/gems/rack-timeout-0.5.1/lib/rack/timeout/core.rb:122:in `call'
  /usr/local/www/gitlab-ce/config/initializers/fix_local_cache_middleware.rb:11:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/middleware/executor.rb:14:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/rack_multipart_tempfile_factory.rb:19:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/sendfile.rb:110:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/sidekiq_web_static.rb:20:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/middleware/host_authorization.rb:92:in `call'
  /usr/local/www/gitlab-ce/lib/gitlab/metrics/requests_rack_middleware.rb:74:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/gitlab-labkit-0.21.1/lib/labkit/middleware/rack.rb:19:in `block in call'
  /usr/local/lib/ruby/gems/2.7/gems/gitlab-labkit-0.21.1/lib/labkit/context.rb:39:in `with_context'
  /usr/local/lib/ruby/gems/2.7/gems/gitlab-labkit-0.21.1/lib/labkit/middleware/rack.rb:18:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/actionpack-6.1.4.1/lib/action_dispatch/middleware/request_id.rb:26:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/sentry-raven-3.1.2/lib/raven/integrations/rack.rb:51:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/railties-6.1.4.1/lib/rails/engine.rb:539:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/railties-6.1.4.1/lib/rails/railtie.rb:207:in `public_send'
  /usr/local/lib/ruby/gems/2.7/gems/railties-6.1.4.1/lib/rails/railtie.rb:207:in `method_missing'
  /usr/local/www/gitlab-ce/lib/gitlab/middleware/release_env.rb:12:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/urlmap.rb:74:in `block in call'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `each'
  /usr/local/lib/ruby/gems/2.7/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/puma-5.3.2/lib/puma/configuration.rb:249:in `call'
  /usr/local/lib/ruby/gems/2.7/gems/puma-5.3.2/lib/puma/request.rb:77:in `block in handle_request'
  /usr/local/lib/ruby/gems/2.7/gems/puma-5.3.2/lib/puma/thread_pool.rb:338:in `with_force_shutdown'
  /usr/local/lib/ruby/gems/2.7/gems/puma-5.3.2/lib/puma/request.rb:76:in `handle_request'
  /usr/local/lib/ruby/gems/2.7/gems/puma-5.3.2/lib/puma/server.rb:438:in `process_client'
  /usr/local/lib/ruby/gems/2.7/gems/puma-5.3.2/lib/puma/thread_pool.rb:145:in `block in spawn_thread'


As this is an argument error, it looks like the API was changed with this version.
Comment 1 gwright 2021-10-02 13:13:56 UTC
I found the same problem yesterday.  This link may give some information:

https://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg1818015.html#
Comment 2 gwright 2021-10-02 14:43:37 UTC
Some additional information -- I run gitlab in a jail, so I was able to delete and reinstall all packages in the the jail.  The problem problem is still there, with the error message shown in the original bug report.
Comment 3 gwright 2021-10-03 22:00:18 UTC
This may, in fact, be a bug in the gitlab-ce port.  The upstream Gemfile specifies

gem 'rails', '~> 6.1.3.2'


but the Gemfile in the port accepts

gem 'rails', '>= 6.1.3.2', '< 6.2'

These are not the same -- the upstream Gemfile would accept rails versions
6.1.3.x, but not 6.1.4.y.  The Gemfile in the port would accept a version
6.1.4.y, which could have breaking API changes.  That seems to be what has happened.

Is rails613 port (and associated dependencies) needed?

As a workaround, could users downgrade to the quarterly port of rails61, which
is still version 6.1.3.2 for almost all platforms?
Comment 4 Matthias Fechner freebsd_committer 2021-10-04 10:26:39 UTC
(In reply to gwright from comment #3)
This is the reason why the ticket is assigned to sunpoet.

He modified the gitlab port without testing or asking me to test it which has broken the port.

Implementing a rails 6.1.3 port is possible, but that means that we have to clone many ports (I would estimate around 40-60 ports) to have this working again.

It is maybe better to rollback the rails upgrade and wait for it, till gitlab has upgraded accordingly.

But I let the decision to sunpoet.
Comment 5 gwright 2021-10-04 10:56:22 UTC
(In reply to Matthias Fechner from comment #4)

Thank you for the update, Matthias.  I will try downgrading rails to 6.1.3.2.

I'll post a comment to this bug report if I come up with a procedure that works.
Comment 6 gwright 2021-10-04 14:17:05 UTC
For reference in case others run into this problem:

I was not able to downgrade rails from the package cache because I encountered
this error as part of the major version upgrade from 12 -> 13. (The cached
packages had the FreeBSD-12 ABI and were not compatible.)

The procedure which worked for me was to manually delete all of the
rails 6.1.4.1 packages:

$ pkg info | grep "6.1.4.1"
$ pkg delete -f <all packages printed out by the previous command>

Then edit /etc/pkg/FreeBSD.conf to change the line

  url: "pkg+http://pkg.FreeBSD.org/${ABI}/latest",

to

  url: "pkg+http://pkg.FreeBSD.org/${ABI}/quarterly",

The quarterly packages are still at 6.1.3.2.

Running

$ pkg install rubygem-rail61

installed the old version of rails and allowed me to complete the database
migration and remaining steps in the gitlab upgrade.
Comment 7 commit-hook freebsd_committer 2021-10-05 07:41:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f4511dc4a7c439b30c898b75246d314a574f01cb

commit f4511dc4a7c439b30c898b75246d314a574f01cb
Author:     Matthias Fechner <mfechner@FreeBSD.org>
AuthorDate: 2021-10-05 07:38:10 +0000
Commit:     Matthias Fechner <mfechner@FreeBSD.org>
CommitDate: 2021-10-05 07:40:04 +0000

    */*: Make rails 6.1.3 available

    The upgrade of rails to 6.1.4 broke www/gitlab-ce.
    PR:             258855

 databases/Makefile                                 |  2 +
 databases/rubygem-activemodel613/Makefile (new)    | 24 +++++++++
 databases/rubygem-activemodel613/distinfo (new)    |  3 ++
 databases/rubygem-activemodel613/pkg-descr (new)   | 10 ++++
 databases/rubygem-activerecord613/Makefile (new)   | 25 ++++++++++
 databases/rubygem-activerecord613/distinfo (new)   |  3 ++
 databases/rubygem-activerecord613/pkg-descr (new)  | 14 ++++++
 devel/Makefile                                     | 10 ++++
 devel/gitaly/Makefile                              |  4 +-
 devel/rubygem-actionview613/Makefile (new)         | 30 +++++++++++
 devel/rubygem-actionview613/distinfo (new)         |  3 ++
 devel/rubygem-actionview613/pkg-descr (new)        |  7 +++
 devel/rubygem-activejob613/Makefile (new)          | 28 +++++++++++
 devel/rubygem-activejob613/distinfo (new)          |  3 ++
 devel/rubygem-activejob613/pkg-descr (new)         | 19 +++++++
 devel/rubygem-activesupport613/Makefile (new)      | 28 +++++++++++
 devel/rubygem-activesupport613/distinfo (new)      |  3 ++
 devel/rubygem-activesupport613/pkg-descr (new)     |  7 +++
 devel/rubygem-devise-rails613/Makefile (new)       | 28 +++++++++++
 devel/rubygem-devise-rails613/distinfo (new)       |  3 ++
 devel/rubygem-devise-rails613/pkg-descr (new)      |  3 ++
 devel/rubygem-devise47-rails613/Makefile (new)     | 31 ++++++++++++
 devel/rubygem-devise47-rails613/distinfo (new)     |  3 ++
 devel/rubygem-devise47-rails613/pkg-descr (new)    |  3 ++
 .../Makefile (new)                                 | 26 ++++++++++
 .../distinfo (new)                                 |  3 ++
 .../pkg-descr (new)                                |  7 +++
 devel/rubygem-gitlab-labkit/Makefile               |  6 +--
 devel/rubygem-graphiql-rails/Makefile              |  4 +-
 devel/rubygem-health_check/Makefile                |  4 +-
 devel/rubygem-peek-rails613/Makefile (new)         | 22 ++++++++
 devel/rubygem-peek-rails613/distinfo (new)         |  3 ++
 devel/rubygem-peek-rails613/pkg-descr (new)        | 16 ++++++
 devel/rubygem-rails-i18n-rails613/Makefile (new)   | 21 ++++++++
 devel/rubygem-rails-i18n-rails613/distinfo (new)   |  3 ++
 devel/rubygem-rails-i18n-rails613/pkg-descr (new)  |  4 ++
 devel/rubygem-web-console-rails613/Makefile (new)  | 26 ++++++++++
 devel/rubygem-web-console-rails613/distinfo (new)  |  3 ++
 devel/rubygem-web-console-rails613/pkg-descr (new) |  3 ++
 devel/rubygem-webpacker-rails613/Makefile (new)    | 24 +++++++++
 devel/rubygem-webpacker-rails613/distinfo (new)    |  3 ++
 devel/rubygem-webpacker-rails613/pkg-descr (new)   |  9 ++++
 graphics/rubygem-invisible_captcha/Makefile        |  4 +-
 mail/Makefile                                      |  2 +
 mail/rubygem-actionmailbox613/Makefile (new)       | 29 +++++++++++
 mail/rubygem-actionmailbox613/distinfo (new)       |  3 ++
 mail/rubygem-actionmailbox613/pkg-descr (new)      | 15 ++++++
 mail/rubygem-actionmailer613/Makefile (new)        | 29 +++++++++++
 mail/rubygem-actionmailer613/distinfo (new)        |  3 ++
 mail/rubygem-actionmailer613/pkg-descr (new)       | 15 ++++++
 net/Makefile                                       |  1 +
 net/rubygem-activestorage613/Makefile (new)        | 29 +++++++++++
 net/rubygem-activestorage613/distinfo (new)        |  3 ++
 .../files/patch-activestorage.gemspec (new)        | 28 +++++++++++
 net/rubygem-activestorage613/pkg-descr (new)       | 14 ++++++
 security/Makefile                                  |  1 +
 .../Makefile (new)                                 | 26 ++++++++++
 .../distinfo (new)                                 |  3 ++
 .../pkg-descr (new)                                |  3 ++
 security/rubygem-doorkeeper/Makefile               |  3 +-
 textproc/Makefile                                  |  3 ++
 textproc/rubygem-actiontext613/Makefile (new)      | 28 +++++++++++
 textproc/rubygem-actiontext613/distinfo (new)      |  3 ++
 textproc/rubygem-actiontext613/pkg-descr (new)     | 10 ++++
 .../rubygem-sass-rails-rails613/Makefile (new)     | 22 ++++++++
 .../rubygem-sass-rails-rails613/distinfo (new)     |  3 ++
 .../rubygem-sass-rails-rails613/pkg-descr (new)    |  3 ++
 .../rubygem-sassc-rails-rails613/Makefile (new)    | 26 ++++++++++
 .../rubygem-sassc-rails-rails613/distinfo (new)    |  3 ++
 .../rubygem-sassc-rails-rails613/pkg-descr (new)   |  5 ++
 www/Makefile                                       |  6 +++
 www/gitlab-ce/Makefile                             | 20 ++++----
 www/rubygem-actioncable613/Makefile (new)          | 27 ++++++++++
 www/rubygem-actioncable613/distinfo (new)          |  3 ++
 www/rubygem-actioncable613/pkg-descr (new)         | 10 ++++
 www/rubygem-actionpack613/Makefile (new)           | 29 +++++++++++
 www/rubygem-actionpack613/distinfo (new)           |  3 ++
 www/rubygem-actionpack613/pkg-descr (new)          | 23 +++++++++
 www/rubygem-lograge-rails613/Makefile (new)        | 22 ++++++++
 www/rubygem-lograge-rails613/distinfo (new)        |  3 ++
 www/rubygem-lograge-rails613/pkg-descr (new)       |  8 +++
 www/rubygem-rails613/Makefile (new)                | 58 ++++++++++++++++++++++
 www/rubygem-rails613/distinfo (new)                |  3 ++
 www/rubygem-rails613/pkg-descr (new)               | 12 +++++
 www/rubygem-railties613/Makefile (new)             | 32 ++++++++++++
 www/rubygem-railties613/distinfo (new)             |  3 ++
 www/rubygem-railties613/pkg-descr (new)            |  7 +++
 www/rubygem-responders-rails613/Makefile (new)     | 23 +++++++++
 www/rubygem-responders-rails613/distinfo (new)     |  3 ++
 www/rubygem-responders-rails613/pkg-descr (new)    |  3 ++
 90 files changed, 1074 insertions(+), 22 deletions(-)
Comment 8 Matthias Fechner freebsd_committer 2021-10-05 07:44:19 UTC
Problem should be fixed now.
Just following the patch-upgrade manual:
https://gitlab.fechner.net/mfechner/Gitlab-docu/-/blob/master/update/freebsd_patch_versions.md
Comment 9 commit-hook freebsd_committer 2021-10-05 07:52:17 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9b6b71faaa6942e54e77dec0d603807ef8964c1f

commit 9b6b71faaa6942e54e77dec0d603807ef8964c1f
Author:     Matthias Fechner <mfechner@FreeBSD.org>
AuthorDate: 2021-10-05 07:38:10 +0000
Commit:     Matthias Fechner <mfechner@FreeBSD.org>
CommitDate: 2021-10-05 07:51:06 +0000

    */*: Make rails 6.1.3 available

    The upgrade of rails to 6.1.4 broke www/gitlab-ce.
    PR:             258855

    (cherry picked from commit f4511dc4a7c439b30c898b75246d314a574f01cb)

 databases/Makefile                                 |  2 +
 databases/rubygem-activemodel613/Makefile (new)    | 24 +++++++++
 databases/rubygem-activemodel613/distinfo (new)    |  3 ++
 databases/rubygem-activemodel613/pkg-descr (new)   | 10 ++++
 databases/rubygem-activerecord613/Makefile (new)   | 25 ++++++++++
 databases/rubygem-activerecord613/distinfo (new)   |  3 ++
 databases/rubygem-activerecord613/pkg-descr (new)  | 14 ++++++
 devel/Makefile                                     | 10 ++++
 devel/gitaly/Makefile                              |  4 +-
 devel/rubygem-actionview613/Makefile (new)         | 30 +++++++++++
 devel/rubygem-actionview613/distinfo (new)         |  3 ++
 devel/rubygem-actionview613/pkg-descr (new)        |  7 +++
 devel/rubygem-activejob613/Makefile (new)          | 28 +++++++++++
 devel/rubygem-activejob613/distinfo (new)          |  3 ++
 devel/rubygem-activejob613/pkg-descr (new)         | 19 +++++++
 devel/rubygem-activesupport613/Makefile (new)      | 28 +++++++++++
 devel/rubygem-activesupport613/distinfo (new)      |  3 ++
 devel/rubygem-activesupport613/pkg-descr (new)     |  7 +++
 devel/rubygem-devise-rails613/Makefile (new)       | 28 +++++++++++
 devel/rubygem-devise-rails613/distinfo (new)       |  3 ++
 devel/rubygem-devise-rails613/pkg-descr (new)      |  3 ++
 devel/rubygem-devise47-rails613/Makefile (new)     | 31 ++++++++++++
 devel/rubygem-devise47-rails613/distinfo (new)     |  3 ++
 devel/rubygem-devise47-rails613/pkg-descr (new)    |  3 ++
 .../Makefile (new)                                 | 26 ++++++++++
 .../distinfo (new)                                 |  3 ++
 .../pkg-descr (new)                                |  7 +++
 devel/rubygem-gitlab-labkit/Makefile               |  6 +--
 devel/rubygem-graphiql-rails/Makefile              |  4 +-
 devel/rubygem-health_check/Makefile                |  4 +-
 devel/rubygem-peek-rails613/Makefile (new)         | 22 ++++++++
 devel/rubygem-peek-rails613/distinfo (new)         |  3 ++
 devel/rubygem-peek-rails613/pkg-descr (new)        | 16 ++++++
 devel/rubygem-rails-i18n-rails613/Makefile (new)   | 21 ++++++++
 devel/rubygem-rails-i18n-rails613/distinfo (new)   |  3 ++
 devel/rubygem-rails-i18n-rails613/pkg-descr (new)  |  4 ++
 devel/rubygem-web-console-rails613/Makefile (new)  | 26 ++++++++++
 devel/rubygem-web-console-rails613/distinfo (new)  |  3 ++
 devel/rubygem-web-console-rails613/pkg-descr (new) |  3 ++
 devel/rubygem-webpacker-rails613/Makefile (new)    | 24 +++++++++
 devel/rubygem-webpacker-rails613/distinfo (new)    |  3 ++
 devel/rubygem-webpacker-rails613/pkg-descr (new)   |  9 ++++
 graphics/rubygem-invisible_captcha/Makefile        |  4 +-
 mail/Makefile                                      |  2 +
 mail/rubygem-actionmailbox613/Makefile (new)       | 29 +++++++++++
 mail/rubygem-actionmailbox613/distinfo (new)       |  3 ++
 mail/rubygem-actionmailbox613/pkg-descr (new)      | 15 ++++++
 mail/rubygem-actionmailer613/Makefile (new)        | 29 +++++++++++
 mail/rubygem-actionmailer613/distinfo (new)        |  3 ++
 mail/rubygem-actionmailer613/pkg-descr (new)       | 15 ++++++
 net/Makefile                                       |  1 +
 net/rubygem-activestorage613/Makefile (new)        | 29 +++++++++++
 net/rubygem-activestorage613/distinfo (new)        |  3 ++
 .../files/patch-activestorage.gemspec (new)        | 28 +++++++++++
 net/rubygem-activestorage613/pkg-descr (new)       | 14 ++++++
 security/Makefile                                  |  1 +
 .../Makefile (new)                                 | 26 ++++++++++
 .../distinfo (new)                                 |  3 ++
 .../pkg-descr (new)                                |  3 ++
 security/rubygem-doorkeeper/Makefile               |  3 +-
 textproc/Makefile                                  |  3 ++
 textproc/rubygem-actiontext613/Makefile (new)      | 28 +++++++++++
 textproc/rubygem-actiontext613/distinfo (new)      |  3 ++
 textproc/rubygem-actiontext613/pkg-descr (new)     | 10 ++++
 .../rubygem-sass-rails-rails613/Makefile (new)     | 22 ++++++++
 .../rubygem-sass-rails-rails613/distinfo (new)     |  3 ++
 .../rubygem-sass-rails-rails613/pkg-descr (new)    |  3 ++
 .../rubygem-sassc-rails-rails613/Makefile (new)    | 26 ++++++++++
 .../rubygem-sassc-rails-rails613/distinfo (new)    |  3 ++
 .../rubygem-sassc-rails-rails613/pkg-descr (new)   |  5 ++
 www/Makefile                                       |  6 +++
 www/gitlab-ce/Makefile                             | 20 ++++----
 www/rubygem-actioncable613/Makefile (new)          | 27 ++++++++++
 www/rubygem-actioncable613/distinfo (new)          |  3 ++
 www/rubygem-actioncable613/pkg-descr (new)         | 10 ++++
 www/rubygem-actionpack613/Makefile (new)           | 29 +++++++++++
 www/rubygem-actionpack613/distinfo (new)           |  3 ++
 www/rubygem-actionpack613/pkg-descr (new)          | 23 +++++++++
 www/rubygem-lograge-rails613/Makefile (new)        | 22 ++++++++
 www/rubygem-lograge-rails613/distinfo (new)        |  3 ++
 www/rubygem-lograge-rails613/pkg-descr (new)       |  8 +++
 www/rubygem-rails613/Makefile (new)                | 58 ++++++++++++++++++++++
 www/rubygem-rails613/distinfo (new)                |  3 ++
 www/rubygem-rails613/pkg-descr (new)               | 12 +++++
 www/rubygem-railties613/Makefile (new)             | 32 ++++++++++++
 www/rubygem-railties613/distinfo (new)             |  3 ++
 www/rubygem-railties613/pkg-descr (new)            |  7 +++
 www/rubygem-responders-rails613/Makefile (new)     | 23 +++++++++
 www/rubygem-responders-rails613/distinfo (new)     |  3 ++
 www/rubygem-responders-rails613/pkg-descr (new)    |  3 ++
 90 files changed, 1074 insertions(+), 22 deletions(-)